﻿Imports System.Runtime.InteropServices
Imports System.ComponentModel


Public Class WriteStream

    Friend _StreamWriter As System.IO.StreamWriter
    Friend _Shell As Shell

    Public Sub New(ByVal shell As Shell)
        _Shell = shell
        _StreamWriter = Nothing
    End Sub

    ''' <summary>
    ''' Writeline
    '''     指定された文字列と改行文字を入力ストリームに書き込みます。
    ''' </summary>
    ''' <param name="text">コマンド文字列</param>
    Public Sub Writeline(ByVal text As String)
        Try
            If Not IsNothing(_StreamWriter) Then
                If _StreamWriter.BaseStream.CanWrite Then
                    _StreamWriter.WriteLine(text)
                    QueryPerformanceCounter(_Shell._ticks)
                End If
            End If
        Catch ex As System.Exception
            MsgBox("WriteStream.Writeline" & vbNewLine & ex.Message)
        End Try
    End Sub

End Class
